Upstream information

CVE-2020-29567 at MITRE

Description

An issue was discovered in Xen 4.14.x. When moving IRQs between CPUs to distribute the load of IRQ handling, IRQ vectors are dynamically allocated and de-allocated on the relevant CPUs. De-allocation has to happen when certain constraints are met. If these conditions are not met when first checked, the checking CPU may send an interrupt to itself, in the expectation that this IRQ will be delivered only after the condition preventing the cleanup has cleared. For two specific IRQ vectors, this expectation was violated, resulting in a continuous stream of self-interrupts, which renders the CPU effectively unusable. A domain with a passed through PCI device can cause lockup of a physical CPU, resulting in a Denial of Service (DoS) to the entire host. Only x86 systems are vulnerable. Arm systems are not vulnerable. Only guests with physical PCI devices passed through to them can exploit the vulnerability.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 4.9
Vector AV:L/AC:L/Au:N/C:N/I:N/A:C
Access Vector Local
Access Complexity Low
Authentication None
Confidentiality Impact None
Integrity Impact None
Availability Impact Complete
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 6.2 6.5
Vector CVSS:3.1/AV:L/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H CVSS:3.1/AV:L/AC:L/PR:L/UI:N/S:C/C:N/I:N/A:H
Access Vector Local Local
Access Complexity Low Low
Privileges Required None Low
User Interaction None None
Scope Unchanged Changed
Confidentiality Impact None None
Integrity Impact None None
Availability Impact High High
CVSSv3 Version 3.1 3.1
SUSE Bugzilla entry: 1179513 [NEW]

No SUSE Security Announcements cross referenced.

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Module for Basesystem 15 SP3
  • xen-libs >= 4.14.1_16-1.6
  • xen-tools-domU >= 4.14.1_16-1.6
SUSE Linux Enterprise Module for Server Applications 15 SP3
  • xen >= 4.14.1_16-1.6
  • xen-devel >= 4.14.1_16-1.6
  • xen-tools >= 4.14.1_16-1.6
  • xen-tools-xendomains-wait-disk >= 4.14.1_16-1.6
openSUSE Tumbleweed
  • xen >= 4.15.1_01-1.2
  • xen-devel >= 4.15.1_01-1.2
  • xen-doc-html >= 4.15.1_01-1.2
  • xen-libs >= 4.15.1_01-1.2
  • xen-libs-32bit >= 4.15.1_01-1.2
  • xen-tools >= 4.15.1_01-1.2
  • xen-tools-domU >= 4.15.1_01-1.2
  • xen-tools-xendomains-wait-disk >= 4.15.1_01-1.2
Patchnames:
openSUSE Tumbleweed GA xen-4.15.1_01-1.2


First public cloud image revisions this CVE is fixed in:


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
HPE Helion OpenStack 8 xen Not affected
SUSE Enterprise Storage 5 xen Unsupported
SUSE Linux Enterprise High Performance Computing 12 SP5 xen Not affected
SUSE Linux Enterprise High Performance Computing 15 LTSS xen Not affected
SUSE Linux Enterprise Module for Basesystem 15 SP1 xen Unsupported
SUSE Linux Enterprise Module for Basesystem 15 SP2 xen Not affected
SUSE Linux Enterprise Module for Server Applications 15 SP1 xen Unsupported
SUSE Linux Enterprise Module for Server Applications 15 SP2 xen Not affected
SUSE Linux Enterprise Point of Service 11 SP3 xen Not affected
SUSE Linux Enterprise Point of Service Image Server 12 SP2 xen Unsupported
SUSE Linux Enterprise Server 11 SP4 LTSS xen Not affected
SUSE Linux Enterprise Server 12 SP2 ESPOS xen Unsupported
SUSE Linux Enterprise Server 12 SP2 LTSS xen Not affected
SUSE Linux Enterprise Server 12 SP3 ESPOS xen Not affected
SUSE Linux Enterprise Server 12 SP3 LTSS xen Not affected
SUSE Linux Enterprise Server 12 SP4 ESPOS xen Not affected
SUSE Linux Enterprise Server 12 SP4 LTSS xen Not affected
SUSE Linux Enterprise Server 12 SP5 xen Not affected
SUSE Linux Enterprise Server 15 ESPOS xen Not affected
SUSE Linux Enterprise Server 15 LTSS xen Not affected
SUSE Linux Enterprise Server BCL 12 SP2 xen Not affected
SUSE Linux Enterprise Server BCL 12 SP3 xen Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP2 xen Unsupported
SUSE Linux Enterprise Server for SAP Applications 12 SP3 xen Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP4 xen Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP5 xen Not affected
SUSE Linux Enterprise Server for SAP Applications 15 xen Not affected
SUSE OpenStack Cloud 7 xen Not affected
SUSE OpenStack Cloud 8 xen Not affected
SUSE OpenStack Cloud 9 xen Not affected
SUSE OpenStack Cloud Crowbar 8 xen Not affected
SUSE OpenStack Cloud Crowbar 9 xen Not affected